Loading...
Searching...
No Matches
aux_functions.h File Reference
`#include <iostream>`
`#include <map>`
`#include <string>`
`#include <vector>`
Include dependency graph for aux_functions.h:

Go to the source code of this file.

## Namespaces

namespace | rostlab

## Functions

template<typename _Tp>
std::basic_string< _Tp > | rostlab::join (const std::basic_string< _Tp > &__sep, typename std::vector< std::basic_string< _Tp > >::const_iterator __begin, typename std::vector< std::basic_string< _Tp > >::const_iterator __end)
template<typename _Tp>
std::basic_string< _Tp > | rostlab::join (const std::basic_string< _Tp > &__sep, const std::vector< std::basic_string< _Tp > > &__v)
template<typename _Tp>
std::basic_string< _Tp > | rostlab::join (const _Tp *__sep, const std::vector< std::basic_string< _Tp > > &__v)
template<typename _Tp>
std::basic_string< _Tp > | rostlab::join (const _Tp __sep, const std::vector< std::basic_string< _Tp > > &__v)
std::vector< std::string > | rostlab::split (const std::string &__str, char __c)
template<typename _Tk, typename _Tv>
std::vector< _Tk > | rostlab::map_keys (const std::map< _Tk, _Tv > &__map)
void | rostlab::split_in_2 (const std::string &__str, char __c, std::string &__left, std::string &__right)
std::map< std::string, std::string > | rostlab::map_split_in_2 (const std::vector< std::string > &__svec, char __c)
template<class _T1, class _T2>
std::ostream & | rostlab::operator<< (std::ostream &os, const std::pair< _T1, _T2 > &v)
| std::pair output operator.
template<typename K, typename V, class C, class A>
std::ostream & | rostlab::operator<< (std::ostream &os, const std::map< K, V, C, A > &m)
| std::map output operator.
template<typename _Tp, typename _Alloc>
std::ostream & | rostlab::operator<< (std::ostream &os, const std::vector< _Tp, _Alloc > &v)
| std::vector output operator.